Index: sansmodels/src/sans/models/BEPolyelectrolyte.py
===================================================================
--- sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -38,6 +38,6 @@
         self.name = "BEPolyelectrolyte"
         self.description="""
-        F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))*(q^(2)+k2)\
-                       *(q^(2)-(12*h*C/b^(2)))
+        F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k^(2))/(1+(r02)^(2))
+            *(q^(2)+k^(2))*(q^(2)-(12*h*C/b^(2)))+bkd
         The model has Eight parameters: 
         K        =  Constrast factor of the polymer
@@ -64,12 +64,12 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['k']    = ['barns', None, None]
-        self.details['lb'] = ['A', None, None]
-        self.details['h']   = ['A-3', None, None]
-        self.details['b']    = ['A', None, None]
-        self.details['cs'] = ['mol/L', None, None]
+        self.details['k']    = ['[barns]', None, None]
+        self.details['lb'] = ['[Å]', None, None]
+        self.details['h']   = ['[1/Å³]', None, None]
+        self.details['b']    = ['[Å]', None, None]
+        self.details['cs'] = ['[mol/L]', None, None]
         self.details['alpha']   = ['', None, None]
-        self.details['c']    = ['mol/L', None, None]
-        self.details['background'] = ['cm-1', None, None]
+        self.details['c']    = ['[mol/L]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []
@@ -78,6 +78,6 @@
         """
             Evaluate  
-            F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))*(q^(2)+k2)\
-                       *(q^(2)-(12*h*C/b^(2)))
+            F(x) = K*1/(4*pi*Lb*(alpha)^(2))*(q^(2)+k2)/(1+(r02)^(2))
+                *(q^(2)+k2)*(q^(2)-(12*h*C/b^(2)))
         
             has 3 internal parameters :
Index: sansmodels/src/sans/models/CoreShellCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,13 +33,13 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 20.0 A
-         thickness       = 10.0 A
-         length          = 400.0 A
-         core_sld        = 1e-006 A-2
-         shell_sld       = 4e-006 A-2
-         solvent_sld     = 1e-006 A-2
-         background      = 0.0 cm-1
-         axis_theta      = 1.57 rad
-         axis_phi        = 0.0 rad
+         radius          = 20.0 [Å]
+         thickness       = 10.0 [Å]
+         length          = 400.0 [Å]
+         core_sld        = 1e-006 [1/Å²]
+         shell_sld       = 4e-006 [1/Å²]
+         solvent_sld     = 1e-006 [1/Å²]
+         background      = 0.0 [1/cm]
+         axis_theta      = 1.57 [rad]
+         axis_phi        = 0.0 [rad]
 
     """
@@ -57,8 +57,10 @@
         self.description ="""P(q,alpha)= scale/Vs*f(q)^(2) + bkg  Where:\n\
 		f(q)= 2(core_sld- solvant_sld)* Vc*sin[qLcos(alpha/2)]/\n\
-		[qLcos(alpha/2)]*J1(qRsin(alpha))/[qRsin(alpha)] +\n 2(shell_sld-solvent_sld)*Vs
+		[qLcos(alpha/2)]*J1(qRsin(alpha))/[qRsin(alpha)] +\n
+		2(shell_sld-solvent_sld)*Vs
 		*sin[q(L+T)cos(alpha/2)]/[[q(L+T)cos(alpha/2)]
 		*J1(q(R+T)sin(alpha))/q(R+T)sin(alpha)]
-		alpha:is the angle between the axis of the cylinder and the q-vector
+		alpha:is the angle between the axis of the cylinder
+		and the q-vector
 		Vs: the volume of the outer shell
 		Vc: the volume of the core
@@ -77,13 +79,13 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['A', None, None]
-        self.details['thickness'] = ['A', None, None]
-        self.details['length'] = ['A', None, None]
-        self.details['core_sld'] = ['A-2', None, None]
-        self.details['shell_sld'] = ['A-2', None, None]
-        self.details['solvent_sld'] = ['A-2', None, None]
-        self.details['background'] = ['cm-1', None, None]
-        self.details['axis_theta'] = ['rad', None, None]
-        self.details['axis_phi'] = ['rad', None, None]
+        self.details['radius'] = ['[Å]', None, None]
+        self.details['thickness'] = ['[Å]', None, None]
+        self.details['length'] = ['[Å]', None, None]
+        self.details['core_sld'] = ['[1/Å²]', None, None]
+        self.details['shell_sld'] = ['[1/Å²]', None, None]
+        self.details['solvent_sld'] = ['[1/Å²]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
+        self.details['axis_theta'] = ['[rad]', None, None]
+        self.details['axis_phi'] = ['[rad]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/CoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellModel.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/CoreShellModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,10 +33,10 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 60.0 A
-         thickness       = 10.0 A
-         core_sld        = 1e-006 A-2
-         shell_sld       = 2e-006 A-2
-         solvent_sld     = 3e-006 A-2
-         background      = 0.0 cm-1
+         radius          = 60.0 [Å]
+         thickness       = 10.0 [Å]
+         core_sld        = 1e-006 [1/Å²]
+         shell_sld       = 2e-006 [1/Å²]
+         solvent_sld     = 3e-006 [1/Å²]
+         background      = 0.0 [1/cm]
 
     """
@@ -52,5 +52,5 @@
         self.name = "CoreShellModel"
         ## Model description
-        self.description =""" Form factor for a monodisperse spherical
+        self.description =""" Form factor for a monodisperse spherical particle with
 		particle with a core-shell structure:
 		The form factor is normalized by the
@@ -66,10 +66,10 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['A', None, None]
-        self.details['thickness'] = ['A', None, None]
-        self.details['core_sld'] = ['A-2', None, None]
-        self.details['shell_sld'] = ['A-2', None, None]
-        self.details['solvent_sld'] = ['A-2', None, None]
-        self.details['background'] = ['cm-1', None, None]
+        self.details['radius'] = ['[Å]', None, None]
+        self.details['thickness'] = ['[Å]', None, None]
+        self.details['core_sld'] = ['[1/Å²]', None, None]
+        self.details['shell_sld'] = ['[1/Å²]', None, None]
+        self.details['solvent_sld'] = ['[1/Å²]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/CylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CylinderModel.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/CylinderModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,10 +33,10 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 20.0 A
-         length          = 400.0 A
-         contrast        = 3e-006 A-2
-         background      = 0.0 cm-1
-         cyl_theta       = 1.0 rad
-         cyl_phi         = 1.0 rad
+         radius          = 20.0 [Å]
+         length          = 400.0 [Å]
+         contrast        = 3e-006 [1/Å²]
+         background      = 0.0 [1/cm]
+         cyl_theta       = 1.0 [rad]
+         cyl_phi         = 1.0 [rad]
 
     """
@@ -53,23 +53,25 @@
         ## Model description
         self.description ="""P(q,alpha)= scale/V*f(q)^(2)+bkg
-		f(q)= 2*(scatter_sld - solvent_sld)*V*sin(qLcos(alpha/2))/[qLcos(alpha/2)]*
-		J1(qRsin(alpha/2))/[qRsin(alpha)]
+		f(q)= 2*(scatter_sld - solvent_sld)*V
+		*sin(qLcos(alpha/2))/[qLcos(alpha/2)]
+		*J1(qRsin(alpha/2))/[qRsin(alpha)]
 		V: Volume of the cylinder
 		R: Radius of the cylinder
 		L: Length of the cylinder
 		J1: The bessel function
-		alpha: angle betweenthe axis of the cylinder and the q-vector
-		for 1D:the ouput is P(q)=scale/V*integral from pi/2 to zero of f(q)^(2)*
-		sin(alpha)*dalpha+ bkg"""
+		alpha: angle betweenthe axis of the cylinder
+		and the q-vector for 1D:the ouput is
+		P(q)=scale/V*integral from pi/2 to zero of
+		f(q)^(2)*sin(alpha)*dalpha+ bkg"""
        
 		## Parameter details [units, min, max]
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['A', None, None]
-        self.details['length'] = ['A', None, None]
-        self.details['contrast'] = ['A-2', None, None]
-        self.details['background'] = ['cm-1', None, None]
-        self.details['cyl_theta'] = ['rad', None, None]
-        self.details['cyl_phi'] = ['rad', None, None]
+        self.details['radius'] = ['[Å]', None, None]
+        self.details['length'] = ['[Å]', None, None]
+        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
+        self.details['cyl_theta'] = ['[rad]', None, None]
+        self.details['cyl_phi'] = ['[rad]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/DABModel.py
===================================================================
--- sansmodels/src/sans/models/DABModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/DABModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -43,7 +43,7 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['length']            = ['', None, None]
+        self.details['length']            = ['[Å]', None, None]
         self.details['scale']             = ['', None, None]
-        self.details['background']        = ['', None, None]
+        self.details['background']        = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []      
Index: sansmodels/src/sans/models/DebyeModel.py
===================================================================
--- sansmodels/src/sans/models/DebyeModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/DebyeModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -48,7 +48,7 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['rg']         = ['', None, None]
+        self.details['rg']         = ['[Å]', None, None]
         self.details['scale']      = ['', None, None]
-        self.details['background'] = ['', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []      
Index: sansmodels/src/sans/models/DiamCylFunc.py
===================================================================
--- sansmodels/src/sans/models/DiamCylFunc.py	(revision 40945a3d4359a9408c2685d2bcd7598da9022b6e)
+++ sansmodels/src/sans/models/DiamCylFunc.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY C:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\DiamCyl.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\DiamCyl.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,5 +28,5 @@
 class DiamCylFunc(CDiamCylFunc, BaseComponent):
     """ Class that evaluates a DiamCylFunc model. 
-    	This file was auto-generated from C:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\DiamCyl.h.
+    	This file was auto-generated from ..\c_extensions\DiamCyl.h.
     	Refer to that file and the structure it contains
     	for details of the model.
@@ -59,4 +59,7 @@
 		## fittable parameters
         self.fixed=['radius.width', 'length.width']
+        
+        ## parameters with orientation
+        self.orientation_params =[]
    
     def clone(self):
Index: sansmodels/src/sans/models/EllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/EllipsoidModel.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/EllipsoidModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,10 +33,10 @@
     	List of default parameters:
          scale           = 1.0 
-         radius_a        = 20.0 A
-         radius_b        = 400.0 A
-         contrast        = 3e-006 A-2
-         background      = 0.0 cm-1
-         axis_theta      = 1.57 rad
-         axis_phi        = 0.0 rad
+         radius_a        = 20.0 [Å]
+         radius_b        = 400.0 [Å]
+         contrast        = 3e-006 [1/Å²]
+         background      = 0.0 [1/cm]
+         axis_theta      = 1.57 [rad]
+         axis_phi        = 0.0 [rad]
 
     """
@@ -52,8 +52,10 @@
         self.name = "EllipsoidModel"
         ## Model description
-        self.description =""""P(q.alpha)= scale*f(q)^(2)+ bkg\n\
-		f(q)= 3*(scatter_sld- scatter_solvent)*V*[sin(q*r(Ra,Rb,alpha)) - q*r*cos(qr(Ra,Rb,alpha))]
+        self.description =""""P(q.alpha)= scale*f(q)^(2)+ bkg
+		f(q)= 3*(scatter_sld- scatter_solvent)*V
+		*[sin(q*r(Ra,Rb,alpha))- q*r*cos(qr(Ra,Rb,alpha))]
 		/[qr(Ra,Rb,alpha)]^(3)"
-		r(Ra,Rb,alpha)= [Rb^(2)*(sin(alpha))^(2) + Ra^(2)*(cos(alpha))^(2)]^(1/2)
+		r(Ra,Rb,alpha)= [Rb^(2)*(sin(alpha))^(2)
+		+ Ra^(2)*(cos(alpha))^(2)]^(1/2)
 		scatter_sld: scattering length density of the scatter
 		solvent_sld: scattering length density of the solvent
@@ -65,10 +67,10 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius_a'] = ['A', None, None]
-        self.details['radius_b'] = ['A', None, None]
-        self.details['contrast'] = ['A-2', None, None]
-        self.details['background'] = ['cm-1', None, None]
-        self.details['axis_theta'] = ['rad', None, None]
-        self.details['axis_phi'] = ['rad', None, None]
+        self.details['radius_a'] = ['[Å]', None, None]
+        self.details['radius_b'] = ['[Å]', None, None]
+        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
+        self.details['axis_theta'] = ['[rad]', None, None]
+        self.details['axis_phi'] = ['[rad]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/EllipticalCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/EllipticalCylinderModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,12 +33,12 @@
     	List of default parameters:
          scale           = 1.0 
-         r_minor         = 20.0 A
-         r_ratio         = 1.5 A
-         length          = 400.0 A
-         contrast        = 3e-006 A-2
-         background      = 0.0 cm-1
-         cyl_theta       = 1.57 rad
-         cyl_phi         = 0.0 rad
-         cyl_psi         = 0.0 rad
+         r_minor         = 20.0 [Å]
+         r_ratio         = 1.5 
+         length          = 400.0 [Å]
+         contrast        = 3e-006 [1/Å²]
+         background      = 0.0 [1/cm]
+         cyl_theta       = 1.57 [rad]
+         cyl_phi         = 0.0 [rad]
+         cyl_psi         = 0.0 [rad]
 
     """
@@ -54,17 +54,17 @@
         self.name = "EllipticalCylinderModel"
         ## Model description
-        self.description =""""""""
+        self.description ="""Please see details..."""
        
 		## Parameter details [units, min, max]
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['r_minor'] = ['A', None, None]
-        self.details['r_ratio'] = ['A', None, None]
-        self.details['length'] = ['A', None, None]
-        self.details['contrast'] = ['A-2', None, None]
-        self.details['background'] = ['cm-1', None, None]
-        self.details['cyl_theta'] = ['rad', None, None]
-        self.details['cyl_phi'] = ['rad', None, None]
-        self.details['cyl_psi'] = ['rad', None, None]
+        self.details['r_minor'] = ['[Å]', None, None]
+        self.details['r_ratio'] = ['', None, None]
+        self.details['length'] = ['[Å]', None, None]
+        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
+        self.details['cyl_theta'] = ['[rad]', None, None]
+        self.details['cyl_phi'] = ['[rad]', None, None]
+        self.details['cyl_psi'] = ['[rad]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/FractalModel.py
===================================================================
--- sansmodels/src/sans/models/FractalModel.py	(revision 7292e8aedbbbb7e7e4879bbbd4b345bbfddccc67)
+++ sansmodels/src/sans/models/FractalModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -62,10 +62,10 @@
         self.details = {}
         self.details['scale']       = ['',     None, None]
-        self.details['radius']      = ['A',    None, None]
+        self.details['radius']      = ['[Å]',    None, None]
         self.details['fractal_dim'] = ['',       0,  None]
-        self.details['corr_length'] = ['A',    None, None]
-        self.details['block_sld']   = ['A-2',  None, None]
-        self.details['solvent_sld'] = ['A-2',  None, None]
-        self.details['background']  = ['cm-1', None, None]
+        self.details['corr_length'] = ['[Å]',    None, None]
+        self.details['block_sld']   = ['[1/Å²]',  None, None]
+        self.details['solvent_sld'] = ['[1/Å²]',  None, None]
+        self.details['background']  = ['[1/cm]', None, None]
        
                
Index: sansmodels/src/sans/models/GuinierModel.py
===================================================================
--- sansmodels/src/sans/models/GuinierModel.py	(revision 800fc80a9351ae10f88b9dd71f33781744ae3c28)
+++ sansmodels/src/sans/models/GuinierModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -39,6 +39,6 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['scale'] = ['cm-1', None, None]
-        self.details['rg']    = ['A', None, None]
+        self.details['scale'] = ['[1/cm]', None, None]
+        self.details['rg']    = ['[Å]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []  
Index: sansmodels/src/sans/models/HardsphereStructure.py
===================================================================
--- sansmodels/src/sans/models/HardsphereStructure.py	(revision 1bbf2acba708b1e85248ea1f238819e42181d2ab)
+++ sansmodels/src/sans/models/HardsphereStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY c:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\Hardsphere.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\Hardsphere.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,9 +28,9 @@
 class HardsphereStructure(CHardsphereStructure, BaseComponent):
     """ Class that evaluates a HardsphereStructure model. 
-    	This file was auto-generated from c:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\Hardsphere.h.
+    	This file was auto-generated from ..\c_extensions\Hardsphere.h.
     	Refer to that file and the structure it contains
     	for details of the model.
     	List of default parameters:
-         radius          = 50.0 A
+         radius          = 50.0 [Å]
          volfraction     = 0.2 
 
@@ -62,9 +62,12 @@
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['A', None, None]
+        self.details['radius'] = ['[Å]', None, None]
         self.details['volfraction'] = ['', None, None]
 
 		## fittable parameters
         self.fixed=['radius.width']
+        
+        ## parameters with orientation
+        self.orientation_params =[]
    
     def clone(self):
Index: sansmodels/src/sans/models/HayterMSAStructure.py
===================================================================
--- sansmodels/src/sans/models/HayterMSAStructure.py	(revision d3bbf84116fe203b577044ba0f935d0069172b56)
+++ sansmodels/src/sans/models/HayterMSAStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY C:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\HayterMSA.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\HayterMSA.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,13 +28,13 @@
 class HayterMSAStructure(CHayterMSAStructure, BaseComponent):
     """ Class that evaluates a HayterMSAStructure model. 
-    	This file was auto-generated from C:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\HayterMSA.h.
+    	This file was auto-generated from ..\c_extensions\HayterMSA.h.
     	Refer to that file and the structure it contains
     	for details of the model.
     	List of default parameters:
-         radius          = 20.75 A
+         radius          = 20.75 [Å]
          charge          = 19.0 
          volfraction     = 0.0192 
-         temperature     = 318.16 K
-         saltconc        = 0.0 
+         temperature     = 318.16 [K]
+         saltconc        = 0.0 [M]
          dielectconst    = 71.08 
 
@@ -67,13 +67,16 @@
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['A', None, None]
+        self.details['radius'] = ['[Å]', None, None]
         self.details['charge'] = ['', None, None]
         self.details['volfraction'] = ['', None, None]
-        self.details['temperature'] = ['K', None, None]
-        self.details['saltconc'] = ['', None, None]
+        self.details['temperature'] = ['[K]', None, None]
+        self.details['saltconc'] = ['[M]', None, None]
         self.details['dielectconst'] = ['', None, None]
 
 		## fittable parameters
         self.fixed=['radius.width']
+        
+        ## parameters with orientation
+        self.orientation_params =[]
    
     def clone(self):
Index: sansmodels/src/sans/models/LorentzModel.py
===================================================================
--- sansmodels/src/sans/models/LorentzModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/LorentzModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -42,7 +42,7 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['length']     = ['A', None, None]
+        self.details['length']     = ['[Å]', None, None]
         self.details['scale']      = ['', None, None]
-        self.details['background'] = ['cm-1', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []      
Index: sansmodels/src/sans/models/PorodModel.py
===================================================================
--- sansmodels/src/sans/models/PorodModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/PorodModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,6 +33,6 @@
         ## Parameter details [units, min, max]
         self.details = {}
-        self.details['scale']      = ['', None, None]
-        self.details['background'] = ['', None, None]
+        self.details['scale']      = ['[1/Å^4]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []
Index: sansmodels/src/sans/models/PowerLawModel.py
===================================================================
--- sansmodels/src/sans/models/PowerLawModel.py	(revision f0ffb8736e0d460b458673b0867e9370c881d234)
+++ sansmodels/src/sans/models/PowerLawModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -45,5 +45,5 @@
         self.details['m']           = ['', 0,    None]
         self.details['scale']       = ['', None, None]
-        self.details['background']  = ['', None, None]
+        self.details['background']  = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []    
Index: sansmodels/src/sans/models/SphereModel.py
===================================================================
--- sansmodels/src/sans/models/SphereModel.py	(revision 25a608f5e19bd180280be5c566de99df08fb9e8f)
+++ sansmodels/src/sans/models/SphereModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -33,7 +33,7 @@
     	List of default parameters:
          scale           = 1.0 
-         radius          = 60.0 A
-         contrast        = 1e-006 A-2
-         background      = 0.0 cm-1
+         radius          = 60.0 [Å]
+         contrast        = 1e-006 [1/Å²]
+         background      = 0.0 [1/cm]
 
     """
@@ -49,5 +49,6 @@
         self.name = "SphereModel"
         ## Model description
-        self.description ="""P(q)=(scale/V)*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))/(qR)^3]^(2)
+        self.description ="""P(q)=(scale/V)
+		*[3V(scatter_sld-solvent_sld)*(sin(qR)-qRcos(qR))/(qR)^3]^(2)
 		+bkg
 		bkg: background level
@@ -60,7 +61,7 @@
         self.details = {}
         self.details['scale'] = ['', None, None]
-        self.details['radius'] = ['A', None, None]
-        self.details['contrast'] = ['A-2', None, None]
-        self.details['background'] = ['cm-1', None, None]
+        self.details['radius'] = ['[Å]', None, None]
+        self.details['contrast'] = ['[1/Å²]', None, None]
+        self.details['background'] = ['[1/cm]', None, None]
 
 		## fittable parameters
Index: sansmodels/src/sans/models/SquareWellStructure.py
===================================================================
--- sansmodels/src/sans/models/SquareWellStructure.py	(revision 1bbf2acba708b1e85248ea1f238819e42181d2ab)
+++ sansmodels/src/sans/models/SquareWellStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY c:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\SquareWell.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\SquareWell.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,11 +28,11 @@
 class SquareWellStructure(CSquareWellStructure, BaseComponent):
     """ Class that evaluates a SquareWellStructure model. 
-    	This file was auto-generated from c:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\SquareWell.h.
+    	This file was auto-generated from ..\c_extensions\SquareWell.h.
     	Refer to that file and the structure it contains
     	for details of the model.
     	List of default parameters:
-         radius          = 50.0 A
+         radius          = 50.0 [Å]
          volfraction     = 0.04 
-         welldepth       = 1.5 kT
+         welldepth       = 1.5 [kT]
          wellwidth       = 1.2 
 
@@ -66,11 +66,14 @@
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['A', None, None]
+        self.details['radius'] = ['[Å]', None, None]
         self.details['volfraction'] = ['', None, None]
-        self.details['welldepth'] = ['kT', None, None]
+        self.details['welldepth'] = ['[kT]', None, None]
         self.details['wellwidth'] = ['', None, None]
 
 		## fittable parameters
         self.fixed=['radius.width']
+        
+        ## parameters with orientation
+        self.orientation_params =[]
    
     def clone(self):
Index: sansmodels/src/sans/models/StickyHSStructure.py
===================================================================
--- sansmodels/src/sans/models/StickyHSStructure.py	(revision 1bbf2acba708b1e85248ea1f238819e42181d2ab)
+++ sansmodels/src/sans/models/StickyHSStructure.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -17,5 +17,5 @@
 
 	WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
- 	         DO NOT MODIFY THIS FILE, MODIFY c:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\StickyHS.h
+ 	         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\StickyHS.h
  	         AND RE-RUN THE GENERATOR SCRIPT
 
@@ -28,9 +28,9 @@
 class StickyHSStructure(CStickyHSStructure, BaseComponent):
     """ Class that evaluates a StickyHSStructure model. 
-    	This file was auto-generated from c:\ECLPS\workspace\trunk\sansmodels\src\sans\models\c_extensions\StickyHS.h.
+    	This file was auto-generated from ..\c_extensions\StickyHS.h.
     	Refer to that file and the structure it contains
     	for details of the model.
     	List of default parameters:
-         radius          = 50.0 A
+         radius          = 50.0 [Å]
          volfraction     = 0.1 
          perturb         = 0.05 
@@ -68,5 +68,5 @@
 		## Parameter details [units, min, max]
         self.details = {}
-        self.details['radius'] = ['A', None, None]
+        self.details['radius'] = ['[Å]', None, None]
         self.details['volfraction'] = ['', None, None]
         self.details['perturb'] = ['', None, None]
@@ -75,4 +75,7 @@
 		## fittable parameters
         self.fixed=['radius.width']
+        
+        ## parameters with orientation
+        self.orientation_params =[]
    
     def clone(self):
Index: sansmodels/src/sans/models/TeubnerStreyModel.py
===================================================================
--- sansmodels/src/sans/models/TeubnerStreyModel.py	(revision 988130c6c44dbbe2fa0a64fe25885c9c67a14480)
+++ sansmodels/src/sans/models/TeubnerStreyModel.py	(revision 08249090063eaa94dbeeb307aa4b9aaf66ac74f1)
@@ -50,5 +50,5 @@
         self.details['c2']    = ['', None, None ]
         self.details['scale'] = ['', None, None]
-        self.details['background']   = ['', None, None]
+        self.details['background']   = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
         self.fixed= []