Index: src/sas/sascalc/fit/pagestate.py
===================================================================
--- src/sas/sascalc/fit/pagestate.py	(revision 574adc767a9e86744546f8edd6a23dc4f81914ad)
+++ src/sas/sascalc/fit/pagestate.py	(revision 3b070a008cceb6523ab0e5d7f0a730e75b782033)
@@ -646,4 +646,9 @@
                     name = value.split(':', 1)[1].strip()
                     file_value = "File name:" + name
+                    #Truncating string so print doesn't complain of being outside margins
+                    if sys.platform != "win32":
+                        MAX_STRING_LENGHT = 50
+                        if len(file_value) > MAX_STRING_LENGHT:
+                            file_value = "File name:.."+file_value[-MAX_STRING_LENGHT+10:]
                     file_name = CENTRE % file_value
                     if len(title) == 0:
@@ -721,9 +726,12 @@
         html_str, text_str, title = self._get_report_string()
         # Allow 2 figures to append
-        image_links = [FEET_2%fig for fig in fig_urls]
-
+        #Constraining image width for OSX and linux, so print doesn't complain of being outside margins
+        if sys.platform == "win32":
+            image_links = [FEET_2%fig for fig in fig_urls]
+        else:
+            image_links = [FEET_2_unix%fig for fig in fig_urls]
         # final report html strings
         report_str = html_str + ELINE.join(image_links)
-
+        report_str += FEET_3
         return report_str, text_str
 
@@ -1368,5 +1376,8 @@
 """
 FEET_2 = \
-"""<img src="%s" ></img>
+"""<img src="%s"></img>
+"""
+FEET_2_unix = \
+"""<img src="%s" width="540"></img>
 """
 FEET_3 = \
Index: src/sas/sasgui/guiframe/report_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/report_dialog.py	(revision 69a68979fe94b8f135a602e7f02b162e34616d53)
+++ src/sas/sasgui/guiframe/report_dialog.py	(revision 91552b528f8c52835ef769f59e30707071f7f9b9)
@@ -27,5 +27,5 @@
 class BaseReportDialog(wx.Dialog):
 
-    def __init__(self, report_list, *args, **kwds):
+    def __init__(self, report_list, imgRAM, fig_urls, *args, **kwds):
         """
         Initialization. The parameters added to Dialog are:
@@ -37,4 +37,8 @@
         kwds["image"] = 'Dynamic Image'
 
+        #MemoryFSHandle for storing images
+        self.imgRAM = imgRAM
+        #Images location in urls
+        self.fig_urls = fig_urls
         # title
         self.SetTitle("Report")
@@ -75,8 +79,9 @@
         hbox.Add(button_print)
 
-        button_save = wx.Button(self, wx.NewId(), "Save")
-        button_save.SetToolTipString("Save this report.")
-        button_save.Bind(wx.EVT_BUTTON, self.onSave, id=button_save.GetId())
-        hbox.Add(button_save)
+        if sys.platform != "darwin":
+            button_save = wx.Button(self, wx.NewId(), "Save")
+            button_save.SetToolTipString("Save this report.")
+            button_save.Bind(wx.EVT_BUTTON, self.onSave, id=button_save.GetId())
+            hbox.Add(button_save)
 
         # panel for report page
@@ -111,4 +116,5 @@
         printh.PrintText(self.report_html)
 
+
     def OnClose(self, event=None):
         """
@@ -116,4 +122,7 @@
         : event: Close button event
         """
+        for fig in self.fig_urls:
+            self.imgRAM.RemoveFile(fig)
+
         self.Close()
 
Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 1f4d708b9de04a250ee358a7821a2cdb9f0e7d75)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision 5818dae96a5fe7dba0cc9bf5ad9c58342dff2a9e)
@@ -641,8 +641,7 @@
         # get the strings for report
         report_str, text_str = self.state.report(fig_urls=refs)
-
         # Show the dialog
         report_list = [report_str, text_str, images]
-        dialog = ReportDialog(report_list, None, wx.ID_ANY, "")
+        dialog = ReportDialog(report_list, imgRAM, refs, None, wx.ID_ANY, "")
         dialog.Show()
 
@@ -677,5 +676,4 @@
             refs.append('memory:' + name)
             imgRAM.AddFile(name, canvas.bitmap, wx.BITMAP_TYPE_PNG)
-
             # append figs
             images.append(fig)