Index: sansmodels/docs/sphinx/html/api/ReflectivityIIModel.html
===================================================================
--- sansmodels/docs/sphinx/html/api/ReflectivityIIModel.html	(revision 512573a53f2ed9d9eed01dddaf2634f02d8da866)
+++ sansmodels/docs/sphinx/html/api/ReflectivityIIModel.html	(revision c0d873f72968ff9d57d6b547d5e4d6b81c01b9a1)
@@ -3,4 +3,5 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+
 
 <html xmlns="http://www.w3.org/1999/xhtml">
@@ -8,7 +9,9 @@
     <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
     
-    <title>ReflectivityIIModel &mdash; sansmodels v0.1.0 documentation</title>
+    <title>ReflectivityIIModel &mdash; sansmodels 0.1.0 documentation</title>
+    
     <link rel="stylesheet" href="../_static/default.css" type="text/css" />
     <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
+    
     <script type="text/javascript">
       var DOCUMENTATION_OPTIONS = {
@@ -23,5 +26,5 @@
     <script type="text/javascript" src="../_static/underscore.js"></script>
     <script type="text/javascript" src="../_static/doctools.js"></script>
-    <link rel="top" title="sansmodels v0.1.0 documentation" href="../index.html" />
+    <link rel="top" title="sansmodels 0.1.0 documentation" href="../index.html" />
     <link rel="up" title="Reference" href="index.html" />
     <link rel="next" title="ReflectivityModel" href="ReflectivityModel.html" />
@@ -44,5 +47,5 @@
           <a href="ReflAdvModel.html" title="ReflAdvModel"
              accesskey="P">previous</a> |</li>
-        <li><a href="../index.html">sansmodels v0.1.0 documentation</a> &raquo;</li>
+        <li><a href="../index.html">sansmodels 0.1.0 documentation</a> &raquo;</li>
           <li><a href="index.html" accesskey="U">Reference</a> &raquo;</li> 
       </ul>
@@ -56,13 +59,120 @@
   <div class="section" id="reflectivityiimodel">
 <h1>ReflectivityIIModel<a class="headerlink" href="#reflectivityiimodel" title="Permalink to this headline">Â¶</a></h1>
-<div class="section" id="module-sans.models.ReflectivityIIModel">
-<span id="sans-models-reflectivityiimodel"></span><h2><a class="reference internal" href="#module-sans.models.ReflectivityIIModel" title="sans.models.ReflectivityIIModel"><tt class="xref py py-mod docutils literal"><span class="pre">sans.models.ReflectivityIIModel</span></tt></a><a class="headerlink" href="#module-sans.models.ReflectivityIIModel" title="Permalink to this headline">Â¶</a></h2>
-<dl class="class">
+<div class="section" id="sans-models-reflectivityiimodel">
+<h2><a class="reference internal" href="#module-sans.models.ReflectivityIIModel" title="sans.models.ReflectivityIIModel"><tt class="xref py py-mod docutils literal"><span class="pre">sans.models.ReflectivityIIModel</span></tt></a><a class="headerlink" href="#sans-models-reflectivityiimodel" title="Permalink to this headline">Â¶</a></h2>
+<span class="target" id="module-sans.models.ReflectivityIIModel"></span><dl class="class">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel">
-<em class="property">class </em><tt class="descclassname">sans.models.ReflectivityIIModel.</tt><tt class="descname">ReflectivityIIModel</tt><big>(</big><em>multfactor=1</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel" title="Permalink to this definition">Â¶</a></dt>
+<em class="property">class </em><tt class="descclassname">sans.models.ReflectivityIIModel.</tt><tt class="descname">ReflectivityIIModel</tt><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Bases: <a class="reference internal" href="BaseComponent.html#sans.models.BaseComponent.BaseComponent" title="sans.models.BaseComponent.BaseComponent"><tt class="xref py py-class docutils literal"><span class="pre">sans.models.BaseComponent.BaseComponent</span></tt></a></p>
 <p>This multi-model is based on Parratt formalism and provides the capability
 of changing the number of layers between 0 and 10.</p>
 <dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__add__">
+<tt class="descname">__add__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__add__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__div__">
+<tt class="descname">__div__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__div__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__init__">
+<tt class="descname">__init__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__init__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="attribute">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__module__">
+<tt class="descname">__module__</tt><em class="property"> = 'sans.models.ReflectivityIIModel'</em><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__module__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__mul__">
+<tt class="descname">__mul__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__mul__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__str__">
+<tt class="descname">__str__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__str__" title="Permalink to this definition">Â¶</a></dt>
+<dd><table class="docutils field-list" frame="void" rules="none">
+<col class="field-name" />
+<col class="field-body" />
+<tbody valign="top">
+<tr class="field-odd field"><th class="field-name">Returns:</th><td class="field-body">string representatio</td>
+</tr>
+</tbody>
+</table>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.__sub__">
+<tt class="descname">__sub__</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.__sub__" title="Permalink to this definition">Â¶</a></dt>
+<dd></dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._clone">
+<tt class="descname">_clone</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._clone" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Internal utility function to copy the internal
+data members to a fresh copy.</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._get_func_list">
+<tt class="descname">_get_func_list</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._get_func_list" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Get the list of functions in each layer (shell)</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._get_sld">
+<tt class="descname">_get_sld</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._get_sld" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Get the function asked to build sld profile
+: param func_idx: func type number
+: param n_sub: total number of sub_layer
+: param n_s: index of sub_layer
+: param nu: coefficient of the function
+: param sld_l: sld on the left side
+: param sld_r: sld on the right side
+: return: sld value, float</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._setParamHelper">
+<tt class="descname">_setParamHelper</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._setParamHelper" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Helper function to setParam</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._set_details">
+<tt class="descname">_set_details</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._set_details" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Concatenate details of the original model to create
+this model details</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._set_dispersion">
+<tt class="descname">_set_dispersion</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._set_dispersion" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>model dispersions</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._set_fixed_params">
+<tt class="descname">_set_fixed_params</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._set_fixed_params" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Fill the self.fixed list with the model fixed list</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._set_params">
+<tt class="descname">_set_params</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._set_params" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Concatenate the parameters of the model to create
+this model parameters</p>
+</dd></dl>
+
+<dl class="method">
+<dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel._set_xtra_model_param">
+<tt class="descname">_set_xtra_model_param</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel._set_xtra_model_param" title="Permalink to this definition">Â¶</a></dt>
+<dd><p>Set params of original model that are hidden from this model</p>
+</dd></dl>
+
+<dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.calculate_ER">
 <tt class="descname">calculate_ER</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.calculate_ER" title="Permalink to this definition">Â¶</a></dt>
@@ -77,5 +187,5 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.evalDistribution">
-<tt class="descname">evalDistribution</tt><big>(</big><em>x=</em><span class="optional">[</span><span class="optional">]</span><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.evalDistribution" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">evalDistribution</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.evalDistribution" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Evaluate the model in cartesian coordinates</p>
 <p>: param x: input q[], or [qx[], qy[]]
@@ -91,5 +201,5 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.getParam">
-<tt class="descname">getParam</tt><big>(</big><em>name</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.getParam" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">getParam</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.getParam" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Set the value of a model parameter</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -97,5 +207,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> &#8211; name of the parameter</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> &#8211; name of the parameter</td>
 </tr>
 </tbody>
@@ -111,10 +221,10 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.getParamListWithToken">
-<tt class="descname">getParamListWithToken</tt><big>(</big><em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.getParamListWithToken" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">getParamListWithToken</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.getParamListWithToken" title="Permalink to this definition">Â¶</a></dt>
 <dd></dd></dl>
 
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.getParamWithToken">
-<tt class="descname">getParamWithToken</tt><big>(</big><em>name</em>, <em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.getParamWithToken" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">getParamWithToken</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.getParamWithToken" title="Permalink to this definition">Â¶</a></dt>
 <dd></dd></dl>
 
@@ -131,5 +241,5 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.is_fittable">
-<tt class="descname">is_fittable</tt><big>(</big><em>par_name</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.is_fittable" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">is_fittable</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.is_fittable" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Check if a given parameter is fittable or not</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -137,5 +247,5 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> &#8211; the parameter name to check</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>par_name</strong> &#8211; the parameter name to check</td>
 </tr>
 </tbody>
@@ -145,5 +255,5 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.run">
-<tt class="descname">run</tt><big>(</big><em>x=0.0</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.run" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">run</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.run" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Evaluate the model</p>
 <table class="docutils field-list" frame="void" rules="none">
@@ -151,7 +261,7 @@
 <col class="field-body" />
 <tbody valign="top">
-<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [q,phi]</td>
-</tr>
-<tr class="field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
+<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>x</strong> &#8211; input q, or [q,phi]</td>
+</tr>
+<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body">scattering function P(q)</td>
 </tr>
 </tbody>
@@ -161,5 +271,5 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.runXY">
-<tt class="descname">runXY</tt><big>(</big><em>x=0.0</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.runXY" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">runXY</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.runXY" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Evaluate the model</p>
 <p>: param x: input q-value (float or [float, float] as [qx, qy])
@@ -169,5 +279,5 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.setParam">
-<tt class="descname">setParam</tt><big>(</big><em>name</em>, <em>value</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.setParam" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">setParam</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.setParam" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Set the value of a model parameter</p>
 <p>: param name: name of the parameter
@@ -177,10 +287,10 @@
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.setParamWithToken">
-<tt class="descname">setParamWithToken</tt><big>(</big><em>name</em>, <em>value</em>, <em>token</em>, <em>member</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.setParamWithToken" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">setParamWithToken</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.setParamWithToken" title="Permalink to this definition">Â¶</a></dt>
 <dd></dd></dl>
 
 <dl class="method">
 <dt id="sans.models.ReflectivityIIModel.ReflectivityIIModel.set_dispersion">
-<tt class="descname">set_dispersion</tt><big>(</big><em>parameter</em>, <em>dispersion</em><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.set_dispersion" title="Permalink to this definition">Â¶</a></dt>
+<tt class="descname">set_dispersion</tt><big>(</big><big>)</big><a class="headerlink" href="#sans.models.ReflectivityIIModel.ReflectivityIIModel.set_dispersion" title="Permalink to this definition">Â¶</a></dt>
 <dd><p>Set the dispersion object for a model parameter</p>
 <p>: param parameter: name of the parameter [string]
@@ -202,5 +312,5 @@
   <ul>
 <li><a class="reference internal" href="#">ReflectivityIIModel</a><ul>
-<li><a class="reference internal" href="#module-sans.models.ReflectivityIIModel"><tt class="docutils literal"><span class="pre">sans.models.ReflectivityIIModel</span></tt></a></li>
+<li><a class="reference internal" href="#sans-models-reflectivityiimodel"><tt class="docutils literal"><span class="pre">sans.models.ReflectivityIIModel</span></tt></a></li>
 </ul>
 </li>
@@ -221,5 +331,5 @@
   <h3>Quick search</h3>
     <form class="search" action="../search.html" method="get">
-      <input type="text" name="q" size="18" />
+      <input type="text" name="q" />
       <input type="submit" value="Go" />
       <input type="hidden" name="check_keywords" value="yes" />
@@ -250,5 +360,5 @@
           <a href="ReflAdvModel.html" title="ReflAdvModel"
              >previous</a> |</li>
-        <li><a href="../index.html">sansmodels v0.1.0 documentation</a> &raquo;</li>
+        <li><a href="../index.html">sansmodels 0.1.0 documentation</a> &raquo;</li>
           <li><a href="index.html" >Reference</a> &raquo;</li> 
       </ul>
@@ -256,5 +366,5 @@
     <div class="footer">
         &copy; Copyright 2010, sans group.
-      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.7.
+      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.1.
     </div>
   </body>