Index: sansview/build_sansview.py
===================================================================
--- sansview/build_sansview.py	(revision 6fcec8a22978c0dbc04813babe02547aea276d26)
+++ sansview/build_sansview.py	(revision 4356634009d105a3467530d559f8fb4948a215b3)
@@ -59,17 +59,17 @@
 
 # Release version 1.9
-SANSMODELS = "0.9"
+SANSMODELS = "0.9.1"
 DATALOADER = "0.9"
-GUIFRAME   = "0.9"
-SANSVIEW   = "1.9"
-PLOTTOOLS  = "0.9"
-UTIL       = "0.9"
+GUIFRAME   = "0.9.1"
+SANSVIEW   = "1.9.1"
+PLOTTOOLS  = "0.9.1"
+UTIL       = "0.9.1"
 PARK       = "1.2.1"
-PARK_INTEG = "0.9"
-PRVIEW     = "0.9"
+PARK_INTEG = "0.9.1"
+PRVIEW     = "0.9.1"
 PR_INV     = "0.9"
-CALCULATOR = "0.9"
+CALCULATOR = "0.9.1"
 CALC_VIEW  = "0.9"
-INVARIANT  = "0.9"
+INVARIANT  = "0.9.1"
 INV_VIEW   = "0.9"
 
Index: sansview/custom_config.py
===================================================================
--- sansview/custom_config.py	(revision f2d9e76d9fd6b0d79d817265c7fa371e0cd9dd97)
+++ sansview/custom_config.py	(revision 4356634009d105a3467530d559f8fb4948a215b3)
@@ -1,11 +1,11 @@
 #Application appearance custom configuration
-DATAPANEL_WIDTH = 235
+DATAPANEL_WIDTH = 173
 FIXED_PANEL = True
-PLOPANEL_WIDTH = 415
-DATALOADER_SHOW = True
-GUIFRAME_HEIGHT = 840
-GUIFRAME_WIDTH = 1150
-CLEANUP_PLOT = False
-WELCOME_PANEL_SHOW = False
-TOOLBAR_SHOW = True
+PLOPANEL_WIDTH = 404
+DATALOADER_SHOW = False
+GUIFRAME_HEIGHT = 715
+GUIFRAME_WIDTH = 931
+CLEANUP_PLOT = True
+WELCOME_PANEL_SHOW = True
+TOOLBAR_SHOW = False
 DEFAULT_PERSPECTIVE = 'Fitting'
Index: sansview/installer_new.iss
===================================================================
--- sansview/installer_new.iss	(revision 44fa11680f17df75b134e2491fc848e443243223)
+++ sansview/installer_new.iss	(revision 4356634009d105a3467530d559f8fb4948a215b3)
@@ -7,12 +7,12 @@
 
 ChangesAssociations=yes
-AppName=SansView-1.9
-AppVerName=SansView-1.9
+AppName=SansView-1.9.1
+AppVerName=SansView-1.9.1
 AppPublisher=(c) 2009, University of Tennessee
 AppPublisherURL=http://danse.chem.utk.edu
 AppSupportURL=http://danse.chem.utk.edu
 AppUpdatesURL=http://danse.chem.utk.edu 
-DefaultDirName={pf}\SansView-1.9
-DefaultGroupName=DANSE\SansView-1.9
+DefaultDirName={pf}\SansView-1.9.1
+DefaultGroupName=DANSE\SansView-1.9.1
 DisableProgramGroupPage=yes
 LicenseFile=license.txt
@@ -55,9 +55,9 @@
 
 [Icons]
-Name: "{group}\SansView-1.9";	Filename: "{app}\SansView.exe";	WorkingDir: "{app}" 
-Name: "{group}\{cm:UninstallProgram, SansView-1.9}";	 Filename: "{uninstallexe}" 
-Name: "{commondesktop}\SansView-1.9";	Filename: "{app}\SansView.exe";	Tasks: desktopicon; WorkingDir: "{app}" 
+Name: "{group}\SansView-1.9.1";	Filename: "{app}\SansView.exe";	WorkingDir: "{app}" 
+Name: "{group}\{cm:UninstallProgram, SansView-1.9.1}";	 Filename: "{uninstallexe}" 
+Name: "{commondesktop}\SansView-1.9.1";	Filename: "{app}\SansView.exe";	Tasks: desktopicon; WorkingDir: "{app}" 
 
 
 [Run]
-Filename: "{app}\SansView.exe";	Description: "{cm:LaunchProgram, SansView-1.9}";	Flags: nowait postinstall skipifsilent
+Filename: "{app}\SansView.exe";	Description: "{cm:LaunchProgram, SansView-1.9.1}";	Flags: nowait postinstall skipifsilent
Index: sansview/local_config.py
===================================================================
--- sansview/local_config.py	(revision 44fa11680f17df75b134e2491fc848e443243223)
+++ sansview/local_config.py	(revision 4356634009d105a3467530d559f8fb4948a215b3)
@@ -7,5 +7,5 @@
 # Version of the application
 __appname__ = "SansView"
-__version__ = '1.9'
+__version__ = '1.9.1'
 __download_page__ = 'http://danse.chem.utk.edu'
 __update_URL__ = 'http://danse.chem.utk.edu/sansview_version.php'
Index: sansview/releases_notes.txt
===================================================================
--- sansview/releases_notes.txt	(revision acae6d2a335819f3ea2d6687ba99065a8997d742)
+++ sansview/releases_notes.txt	(revision 4356634009d105a3467530d559f8fb4948a215b3)
@@ -2,10 +2,18 @@
 =============
 
-SansView 1.9
+SansView 1.9.1
 
 Package name: None
-1- version 1.9
-	- Release date: 05/25/2011
-	- The SansView WORKS!!!
+1- version 1.9.1 : bug-fix release
+
+	- Release date: 06/22/2011
+	- MAC: Fixed some causes of crashing during fitting 
+	- Pr Inversion: Fixed a missing Rg output
+	- Startup Setting: fixed a problem with DataExplorer ON/OFF
+	- Fixed a bug w/ 2D color map dialog
+	- Minor feature added: Enable to load a data folder from the command line
+	
+	-version 1.9.0
+	
 	- Much easier graphical user interface
 	- Optimized for the speed and accuracy of the computation
@@ -76,28 +84,28 @@
 	2.1- System Requirements:
 		- Python version >= 2.5 and < 3.0 should be running on the system
-		- We uses Python2.5.4 for WIN, and Python2.6 for MAC
+		- We uses Python2.5.4 for WIN, and Python2.6.3 for MAC
 
 	2.2- Installing:
-		- Get the code from svn://danse.us/sans/releases/sansview-1.9
+		- Get the code from svn://danse.us/sans/releases/sansview-1.9.1
 			(after all dependent packages/modules are installed/compiled, run 'python sansview.py' under the 'sansview-1.9' folder)
 		- This application is also dependent on the following DANSE code:
-			svn://danse.us/sans/releases/calculator-0.9 (run 'python setup.py install' under the 'calculator-0.9' folder)
+			svn://danse.us/sans/releases/calculator-0.9.1 (run 'python setup.py install' under the 'calculator-0.9' folder)
 			svn://danse.us/sans/releases/calculatorview-0.9 (run 'python setup.py install' under the 'calculatorview-0.9' folder)
-			svn://danse.us/sans/releases/Invariant-0.9 (run 'python setup.py install' under the 'Invariant-0.9' folder)
+			svn://danse.us/sans/releases/Invariant-0.9.1 (run 'python setup.py install' under the 'Invariant-0.9' folder)
 			svn://danse.us/sans/releases/invariantview-0.9 (run 'python setup.py install' under the 'invariantview-0.1.1' folder)
-			svn://danse.us/sans/releases/guiframe-0.9 (run 'python setup.py install' under the 'guiframe-0.9' folder)
+			svn://danse.us/sans/releases/guiframe-0.9.1 (run 'python setup.py install' under the 'guiframe-0.9' folder)
 			svn://danse.us/sans/releases/DataLoader-0.9 (run 'python setup.py install' under the 'DataLoader-0.9' folder)
-			svn://danse.us/sans/releases/park_integration-0.9 (run 'python setup.py install' under the 'park_integration-0.9' folder)
-			svn://danse.us/sans/releases/sansmodels-0.9 (run 'python setup.py install' under the 'sansmodels-0.9\src\' folder)
+			svn://danse.us/sans/releases/park_integration-0.9.1 (run 'python setup.py install' under the 'park_integration-0.9' folder)
+			svn://danse.us/sans/releases/sansmodels-0.9.1 (run 'python setup.py install' under the 'sansmodels-0.9\src\' folder)
 			svn://danse.us/park/releases/park-1.2.1 (run 'python setup.py install' under the 'park-1.2.1' folder)
-	        svn://danse.us/common/releases/plottools-0.9 (run 'python setup.py install'under the 'plottools-0.9\trunk\' folder)
-	        svn://danse.us/common/releases/util-0.9 (run 'python setup.py install'under the 'util-0.1.5' folder)
+	        svn://danse.us/common/releases/plottools-0.9.1 (run 'python setup.py install'under the 'plottools-0.9\trunk\' folder)
+	        svn://danse.us/common/releases/util-0.9.1 (run 'python setup.py install'under the 'util-0.1.5' folder)
 	        svn://danse.us/sans/releases/pr_inversion-0.9 (run 'python setup.py install'under the 'pr_inversion-0.9' folder)
-	        svn://danse.us/sans/releases/prview-0.9 (run 'python setup.py install'under the 'prview-0.9' folder)
+	        svn://danse.us/sans/releases/prview-0.9.1 (run 'python setup.py install'under the 'prview-0.9' folder)
 		- The following modules are required:
-			* matplotlib = 0.99.0(WIN), 0.99.1(MAC)
+			* matplotlib = 0.99.0(WIN), 0.99.1.1(MAC)
 			* numpy = 1.4.1
 			* scipy >= 0.7.2
-			* wxpython 2.8.11 unicode
+			* wxpython 2.8.11 unicode(WIN), 2.8.12.0(MAC)
 			* lxml >= 2.2.2
 			* PIL (Python Image Library)
Index: sansview/setup_exe.py
===================================================================
--- sansview/setup_exe.py	(revision 4084673fd88646aa22432238670a9efcee92fa01)
+++ sansview/setup_exe.py	(revision 4356634009d105a3467530d559f8fb4948a215b3)
@@ -66,5 +66,5 @@
         self.__dict__.update(kw)
         # for the versioninfo resources
-        self.version = "1.3.1"
+        self.version = "1.9.1"
         self.company_name = "U Tennessee"
         self.copyright = "copyright 2009"